Bug 444295 - OSError exception on shutdown: Connection reset ....
OSError exception on shutdown: Connection reset ....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Liu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 14:42 EDT by Tom London
Modified: 2009-07-14 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-04-26 14:42:39 EDT
Description of problem:
Notice this in /var/log/messages during shutdown:

Apr 26 11:10:53 localhost setroubleshoot: [avc.ERROR] exception OSError: [Errno
104] Connection reset by peer#012Traceback (most recent call last):#012  File
"/usr/lib/python2.5/site-packages/setroubleshoot/avc_audit.py", line 335, in
run#012    new_data = os.read(self.audit_socket_fd.fileno(), 1024)#012OSError:
[Errno 104] Connection reset by peer

Here's a bit more context:

Apr 26 11:10:49 localhost avahi-daemon[2501]: Got SIGTERM, quitting.
Apr 26 11:10:49 localhost avahi-daemon[2501]: Leaving mDNS multicast group on
interface vmnet8.IPv4 with address 172.16.12.1.
Apr 26 11:10:49 localhost avahi-daemon[2501]: Leaving mDNS multicast group on
interface vmnet1.IPv4 with address 192.168.143.1.
Apr 26 11:10:50 localhost kernel: parport_pc 00:0b: disabled
Apr 26 11:10:53 localhost iscsid: iscsid shutting down.
Apr 26 11:10:53 localhost ntpd[2479]: ntpd exiting on signal 15
Apr 26 11:10:53 localhost setroubleshoot: [avc.ERROR] exception OSError: [Errno
104] Connection reset by peer#012Traceback (most recent call last):#012  File
"/usr/lib/python2.5/site-packages/setroubleshoot/avc_audit.py", line 335, in
run#012    new_data = os.read(self.audit_socket_fd.fileno(), 1024)#012OSError:
[Errno 104] Connection reset by peer
Apr 26 11:10:53 localhost kernel: printk: 1 messages suppressed.
Apr 26 11:10:53 localhost kernel: audit(1209233453.504:39): audit_pid=0 old=2232
by auid=4294967295 subj=system_u:system_r:auditd_t:s0 res=1
Apr 26 11:10:53 localhost auditd[2232]: The audit daemon is exiting.
Apr 26 11:10:54 localhost console-kit-daemon[2528]: GLib-CRITICAL: g_asyn

Version-Release number of selected component (if applicable):
setroubleshoot-2.0.6-1.fc9.noarch

How reproducible:
Appears to be every shutdown

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-05-14 06:13:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rolf Linder 2008-05-15 13:57:24 EDT
Do have the same problem here....a 64-bit F9 on a 64-bit machine...
Due to this it is not possible to shutdown the fedora9. The only way to halt the
system is to pressing the powerbutton for over 4sec...
Comment 3 Walter Neumann 2009-03-29 07:11:42 EDT
Same here. i686 fc10. Seems to be every shutdown. I upgraded recently from fc9 and don't know if it was already happening in fc9 since I was running permissive.
Comment 4 Bug Zapper 2009-06-09 20:27:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:39:06 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.